# DataExchange
TKIGES
IGESGeom

# IGESGeom_Direction Class Reference

defines IGESDirection, Type <123> Form <0>
in package IGESGeom
A direction entity is a non-zero vector in Euclidean 3-space
that is defined by its three components (direction ratios)
with respect to the coordinate axes. If x, y, z are the
direction ratios then (x^2 + y^2 + z^2) > 0

`#include <IGESGeom_Direction.hxx>`

Inheritance diagram for IGESGeom_Direction:

[legend]

## Public Member Functions

Standard_EXPORT | IGESGeom_Direction ()
Standard_EXPORT void | Init (const gp_XYZ &aDirection)
| This method is used to set the fields of the class Direction - aDirection : Direction ratios, Z is 0 by default .
Standard_EXPORT gp_Vec | Value () const
Standard_EXPORT gp_Vec | TransformedValue () const
| returns the Direction value after applying Transformation matrix
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

gp_XYZ | theDirection

## Constructor & Destructor Documentation

Standard_EXPORT IGESGeom_Direction::IGESGeom_Direction | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const IGESGeom_Direction::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IGESData_IGESEntity.

Standard_EXPORT void IGESGeom_Direction::Init | ( | const gp_XYZ & | aDirection | ) |

Standard_EXPORT gp_Vec IGESGeom_Direction::TransformedValue | ( |  | ) | const

Standard_EXPORT gp_Vec IGESGeom_Direction::Value | ( |  | ) | const

## Field Documentation

gp_XYZ IGESGeom_Direction::theDirection `[private]`

The documentation for this class was generated from the following file:

- IGESGeom_Direction.hxx